package it.integry.wms.dynamic_customization;

import android.content.Context;
import android.util.Log;

import it.integry.integrywmsnative.core.class_router.ClassRouter;
import it.integry.integrywmsnative.core.utility.UtilityExceptions;
import it.integry.wms.dynamic_customization.extensions.CustomConfiguration;
import it.integry.wms.dynamic_customization.extensions.FiltroOrdiniVendita;
import it.integry.wms.dynamic_customization.extensions.OrdiniVendita;

public class DynamicContext {

    public void init(Context context) {
        Log.d("DynamicContext", "Caricamento personalizzazioni per VGAlimenti");

        try {
            ClassRouter.registerPath(ClassRouter.PATH.FILTRO_ORDINI_VENDITA, FiltroOrdiniVendita.class);
            ClassRouter.registerPath(ClassRouter.PATH.ORDINI_VENDITA, OrdiniVendita.class);
            ClassRouter.registerPath(ClassRouter.PATH.CUSTOM_CONFIGURATION, CustomConfiguration.class);
        } catch (Exception ex) {
            UtilityExceptions.defaultException(context, ex);
        }

        Log.d("DynamicContext", "Caricamento personalizzazioni per VGAlimenti COMPLETATO");

    }

}
